Package com.clickhouse.jdbc.parser

# Class ClickHouseSqlStatement

java.lang.Object
com.clickhouse.jdbc.parser.ClickHouseSqlStatement

@Deprecated public class ClickHouseSqlStatement extends Object
Deprecated.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_DATABASE`
Deprecated.
`static final String`
`DEFAULT_TABLE`
Deprecated.
`static final String`
`KEYWORD_DATABASE`
Deprecated.
`static final String`
`KEYWORD_EXISTS`
Deprecated.
`static final String`
`KEYWORD_FORMAT`
Deprecated.
`static final String`
`KEYWORD_REPLACE`
Deprecated.
`static final String`
`KEYWORD_TABLE_COLUMNS_END`
Deprecated.
`static final String`
`KEYWORD_TABLE_COLUMNS_START`
Deprecated.
`static final String`
`KEYWORD_TOTALS`
Deprecated.
`static final String`
`KEYWORD_VALUES`
Deprecated.
`static final String`
`KEYWORD_VALUES_END`
Deprecated.
`static final String`
`KEYWORD_VALUES_START`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`ClickHouseSqlStatement(String sql)`
Deprecated.
`ClickHouseSqlStatement(String sql, StatementType stmtType)`
Deprecated.
`ClickHouseSqlStatement(String sql, StatementType stmtType, String cluster, String database, String table, String input, String compressAlgorithm, String compressLevel, String format, String file, List<Integer> parameters, Map<String,Integer> positions, Map<String,String> settings, Set<String> tempTables)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsKeyword(String keyword)`
Deprecated.
`boolean`
`equals(Object obj)`
Deprecated.
`String`
`getCluster()`
Deprecated.
`String`
`getCompressAlgorithm()`
Deprecated.
`String`
`getCompressLevel()`
Deprecated.
`String`
`getContentBetweenKeywords(String startKeyword, String endKeyword)`
Deprecated.
`String`
`getContentBetweenKeywords(String startKeyword, String endKeyword, int startOffset)`
Deprecated.
`String`
`getDatabase()`
Deprecated.
`String`
`getDatabaseOrDefault(String database)`
Deprecated.
`int`
`getEndPosition(String keyword)`
Deprecated.
`String`
`getFile()`
Deprecated.
`String`
`getFormat()`
Deprecated.
`String`
`getInput()`
Deprecated.
`LanguageType`
`getLanguageType()`
Deprecated.
`OperationType`
`getOperationType()`
Deprecated.
`List<Integer>`
`getParameters()`
Deprecated.
`Map<String,Integer>`
`getPositions()`
Deprecated.
`Map<String,String>`
`getSettings()`
Deprecated.
`String`
`getSQL()`
Deprecated.
`int`
`getStartPosition(String keyword)`
Deprecated.
`StatementType`
`getStatementType()`
Deprecated.
`String`
`getTable()`
Deprecated.
`Set<String>`
`getTempTables()`
Deprecated.
`boolean`
`hasCompressAlgorithm()`
Deprecated.
`boolean`
`hasCompressLevel()`
Deprecated.
`boolean`
`hasFile()`
Deprecated.
`boolean`
`hasFormat()`
Deprecated.
`int`
`hashCode()`
Deprecated.
`boolean`
`hasInput()`
Deprecated.
`boolean`
`hasSettings()`
Deprecated.
`boolean`
`hasTempTable()`
Deprecated.
`boolean`
`hasValues()`
Deprecated.
`boolean`
`hasWithTotals()`
Deprecated.
`boolean`
`isDDL()`
Deprecated.
`boolean`
`isDML()`
Deprecated.
`boolean`
`isIdemponent()`
Deprecated.
`boolean`
`isMutation()`
Deprecated.
`boolean`
`isQuery()`
Deprecated.
`boolean`
`isRecognized()`
Deprecated.
`boolean`
`isTCL()`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_DATABASE

public static final String DEFAULT_DATABASE
Deprecated.

See Also:
  - Constant Field Values

### DEFAULT_TABLE

public static final String DEFAULT_TABLE
Deprecated.

See Also:
  - Constant Field Values

### KEYWORD_DATABASE

public static final String KEYWORD_DATABASE
Deprecated.

See Also:
  - Constant Field Values

### KEYWORD_EXISTS

public static final String KEYWORD_EXISTS
Deprecated.

See Also:
  - Constant Field Values

### KEYWORD_FORMAT

public static final String KEYWORD_FORMAT
Deprecated.

See Also:
  - Constant Field Values

### KEYWORD_REPLACE

public static final String KEYWORD_REPLACE
Deprecated.

See Also:
  - Constant Field Values

### KEYWORD_TOTALS

public static final String KEYWORD_TOTALS
Deprecated.

See Also:
  - Constant Field Values

### KEYWORD_VALUES

public static final String KEYWORD_VALUES
Deprecated.

See Also:
  - Constant Field Values

### KEYWORD_TABLE_COLUMNS_START

public static final String KEYWORD_TABLE_COLUMNS_START
Deprecated.

See Also:
  - Constant Field Values

### KEYWORD_TABLE_COLUMNS_END

public static final String KEYWORD_TABLE_COLUMNS_END
Deprecated.

See Also:
  - Constant Field Values

### KEYWORD_VALUES_START

public static final String KEYWORD_VALUES_START
Deprecated.

See Also:
  - Constant Field Values

### KEYWORD_VALUES_END

public static final String KEYWORD_VALUES_END
Deprecated.

See Also:
  - Constant Field Values

## Constructor Details

### ClickHouseSqlStatement

public ClickHouseSqlStatement(String sql)
Deprecated.

### ClickHouseSqlStatement

public ClickHouseSqlStatement(String sql, StatementType stmtType)
Deprecated.

### ClickHouseSqlStatement

public ClickHouseSqlStatement(String sql, StatementType stmtType, String cluster, String database, String table, String input, String compressAlgorithm, String compressLevel, String format, String file, List<Integer> parameters, Map<String,Integer> positions, Map<String,String> settings, Set<String> tempTables)
Deprecated.

## Method Details

### getSQL

public String getSQL()
Deprecated.

### isRecognized

public boolean isRecognized()
Deprecated.

### isDDL

public boolean isDDL()
Deprecated.

### isDML

public boolean isDML()
Deprecated.

### isQuery

public boolean isQuery()
Deprecated.

### isMutation

public boolean isMutation()
Deprecated.

### isTCL

public boolean isTCL()
Deprecated.

### isIdemponent

public boolean isIdemponent()
Deprecated.

### getLanguageType

public LanguageType getLanguageType()
Deprecated.

### getOperationType

public OperationType getOperationType()
Deprecated.

### getStatementType

public StatementType getStatementType()
Deprecated.

### getCluster

public String getCluster()
Deprecated.

### getDatabase

public String getDatabase()
Deprecated.

### getDatabaseOrDefault

public String getDatabaseOrDefault(String database)
Deprecated.

### getTable

public String getTable()
Deprecated.

### getInput

public String getInput()
Deprecated.

### getCompressAlgorithm

public String getCompressAlgorithm()
Deprecated.

### getCompressLevel

public String getCompressLevel()
Deprecated.

### getFormat

public String getFormat()
Deprecated.

### getFile

public String getFile()
Deprecated.

### getContentBetweenKeywords

public String getContentBetweenKeywords(String startKeyword, String endKeyword)
Deprecated.

### getContentBetweenKeywords

public String getContentBetweenKeywords(String startKeyword, String endKeyword, int startOffset)
Deprecated.

### containsKeyword

public boolean containsKeyword(String keyword)
Deprecated.

### hasCompressAlgorithm

public boolean hasCompressAlgorithm()
Deprecated.

### hasCompressLevel

public boolean hasCompressLevel()
Deprecated.

### hasFormat

public boolean hasFormat()
Deprecated.

### hasInput

public boolean hasInput()
Deprecated.

### hasFile

public boolean hasFile()
Deprecated.

### hasSettings

public boolean hasSettings()
Deprecated.

### hasWithTotals

public boolean hasWithTotals()
Deprecated.

### hasValues

public boolean hasValues()
Deprecated.

### hasTempTable

public boolean hasTempTable()
Deprecated.

### getParameters

public List<Integer> getParameters()
Deprecated.

### getStartPosition

public int getStartPosition(String keyword)
Deprecated.

### getEndPosition

public int getEndPosition(String keyword)
Deprecated.

### getPositions

public Map<String,Integer> getPositions()
Deprecated.

### getSettings

public Map<String,String> getSettings()
Deprecated.

### getTempTables

public Set<String> getTempTables()
Deprecated.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()
Deprecated.

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)
Deprecated.

Overrides:
  `equals` in class `Object`